Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class TransientLink

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.lib.TransientLink

public class TransientLink extends Object
Stores a transient link.

## Constructor Summary

Constructors
Constructor
Description
`TransientLink()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRule()`
`Map<Object,Object>`
`getSourceElements()`
`Map<Object,Object>`
`getTargetElements()`
`List<Object>`
`getTargetElementsList()`
`Map<Object,Object>`
`getVariables()`
`void`
`setRule(String rule)`
`void`
`setSourceElements(Map<Object,Object> sourceElements)`
`void`
`setTargetElements(Map<Object,Object> targetElements)`
`void`
`setTargetElementsList(List<Object> targetElementsList)`
`void`
`setVariables(Map<Object,Object> variables)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransientLink

public TransientLink()

## Method Details

### getRule

public String getRule()

### setRule

public void setRule(String rule)

### getSourceElements

public Map<Object,Object> getSourceElements()

### setSourceElements

public void setSourceElements(Map<Object,Object> sourceElements)

### getTargetElements

public Map<Object,Object> getTargetElements()

### setTargetElements

public void setTargetElements(Map<Object,Object> targetElements)

### getTargetElementsList

public List<Object> getTargetElementsList()

### setTargetElementsList

public void setTargetElementsList(List<Object> targetElementsList)

### getVariables

public Map<Object,Object> getVariables()

### setVariables

public void setVariables(Map<Object,Object> variables)

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`